All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information
Interface ChildServerInterface

All Superinterfaces:
  java.rmi.Remote, ServerInterface

All Known Implementing Classes:
  OMIChildServer

    public interface ChildServerInterface

extends ServerInterface

Field Summary

Fields inherited from interface com.sas.services.information.ServerInterface
`DEFAULT_SERVER_NAME, SERVER_VERSION_913_SP3, SERVER_VERSION_913_SP4, SERVER_VERSION_920, SERVER_VERSION_930, SERVER_VERSION_UNKNOWN`

Method Summary
`void` | `commit()` Commit the changes in this child to its parent.
`void` | `rollback()` Roll back the changes in this child repository by deleting the cache without flushing it to the parent.

Methods inherited from interface com.sas.services.information.ServerInterface
`addToCache, browseFetch, browseFolder, browseFolderRecursive, browseSearch, browseSearch, browseSearch, browseSearch, clearPendingChanges, connect, connect, debug, debug, debug, deleteEntity, destroy, error, error, executeRequest, factoryProcess, fetch, fetch, flush, fromByteArray, generatePassword, getDomain, getExplicitIdentityGroup, getFoundationRepository, getHomeFolder, getHomeFolder, getHost, getIdentity, getName, getObjectByPath, getObjectByPathFilter, getPerson, getPort, getProtocol, getRepositories, getRepositories, getRepository, getRepositoryInfo, getRepositoryName, getRepositoryNames, getRootFolder, getServerVersion, getTypeDescriptor, getTypeDescriptors, getUserContext, info, info, info, isAuthorized, isUserAuthorized, loadTypes, loadTypes, newChild, newChild, newMetadata, reconnect, refreshAllData, refreshEntity, search, search, search, toByteArray, warn, warn, warn`

Method Detail

### commit

    void commit()
                throws ServiceException,
                       java.rmi.RemoteException

  Commit the changes in this child to its parent. If an exception is thrown during the commit, you must call rollback to close the transaction.

  Throws:
    `ServiceException` - if unable to commit the changes to the parent.
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### rollback

    void rollback()
                  throws ServiceException,
                         java.rmi.RemoteException

  Roll back the changes in this child repository by deleting the cache without flushing it to the parent.

  Throws:
    `ServiceException` - if unable to rollback.
    `java.rmi.RemoteException` - if a network anomaly is encountered.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.